{% extends 'pages/admin_page.html' %}
{% load static %}

{% block title %}All Facilities{% endblock %}

{% block admin_content %}
    {% for facility in facilities %}
        <div class="row">
            <div class="card col-xl-3 col-lg-4 col-md-6 col-sm-12"
                 style="max-width: 20rem;">
                <div class="card-header fw-bold">{{ facility.name }}</div>
{#                <img src="{{ room.image.url }}" class="card-img-top"> {# alt="{{ room.name }}" #}
                <div class="card-body">

                    {% if perms.facility.details_facility %}
                        <a class="btn btn-success btn-sm" href="{% url 'facility_details' facility.id %}" role="button">Vezi
                            Facilitatea</a>
                    {% endif %}
                    {% if perms.facility.change_facility %}
                        <a class="btn btn-primary btn-sm" href="{% url 'facility_update' facility.id %}" role="button">Actualizeaza
                            Facilitatea</a>
                    {% endif %}
                    {% if perms.facility.delete_facility %}
                        <a class="btn btn-danger btn-sm" href="{% url 'facility_delete' facility.id %}"
                           role="button">Sterge Facilitatea</a>
                    {% endif %}
                </div>
            </div>
        </div>
    {% endfor %}
{% endblock %}
